void printc(char val);

int main()
{
  unsigned char i, val, val2;

  for (i = -2; (char)i < 3; i++) {
    val = i; val2 = ++val; printc(val); printc(val2);
    val = i; val2 = --val; printc(val); printc(val2);
    val = i; val2 = val++; printc(val); printc(val2);
    val = i; val2 = val--; printc(val); printc(val2);
  }

  return 0;
}
